function shop_pro(div_class, data, type, main_id) {
	var excellent_shop = '';
	var has_coupon = '';
	var goods = '';
	var coupon_list = '';
	var show_coupon = '';
	var has_vip_price = '';
	var show_cart = '';
	for(var i = 0; i < data.length; i++) {
		has_coupon = '';
		coupon_list = '';
		if(data[i].is_coupon == 0) { //没有优惠券     
			has_coupon = '';
		} else { //有优惠券
			for(var k = 0; k < (data[i].coupon_list.length <= 2); k++) { //优惠券展示不超过两个
				coupon_list += '<div class="fl single-juantxt">' + data[i].coupon_list[k].name + '</div>'
			}
			has_coupon = '<div class="single-go fl">进店领劵</div>' +
				coupon_list +
				'<div class="fr single-more">更多</div>';
		}
		//优质商家中的商品
		goods = '';
		for(var j = 0; j < data[i].goods_list.length; j++) {
			/**
			 * 判断该店铺中的商品是否有优惠券
			 * is_coupon==1有优惠券，show_coupon显示
			 * is_coupon==0没有优惠券，show_coupon不显示
			 **/
			show_coupon = '';
			if(data[i].goods_list[j].is_coupon == 1) {
				show_coupon = '<img class="single-hascoupon" src="../images/quan.png" alt="" />';
			} else {
				show_coupon = '';
			}
			/**
			 * 判断该店铺中的商品是否有会员价格
			 **/
			has_vip_price = '';
			if(data[i].goods_list[j].is_discount == 0) {
				has_vip_price = '<span>￥' + data[i].goods_list[j].price + '</span>';
			} else {
				has_vip_price = '<span>VIP￥' + data[i].goods_list[j].member_price + '</span><span style="text-decoration:line-through;">￥' + data[i].goods_list[j].price + '</span>';
			}
			goods += '<div class="single-range fl goto-single-goods" shop-id="' + data[i].id + '" goods-id="' + data[i].goods_list[j].id + '">' +
				'<div class="single-goods margin-auto">' +
				'<div class="single-pic">' +
				show_coupon +
				'<img class="single-img" src="' + data[i].goods_list[j].img + '" alt="" />' +
				'<div class="single-price">' +
				has_vip_price +
				'</div>' +
				'</div>' +
				'<div class="singlegoodstxt">' + data[i].goods_list[j].name + '</div>' +
				'</div>' +
				'</div>';
		}
		//判断购物车中是否有数据
		show_cart = '';
		if( data[i].cart_num == 0 ){
			show_cart = '';
		}else{
			show_cart = '<div class="home-cart-relative"><span class="mui-badge mui-badge-danger home-badge-posi">'+data[i].cart_num+'</span><img class="home-cart-icon" src="../images/home_cart.png" /></div>';
		}
		excellent_shop += '<div class="single-pro" shop-id="' + data[i].id + '">' +
			'<div class="single-top goto-shop" shop-id="' + data[i].id + '">' +
			'<div class="fl">' + data[i].name + '</div>' +
			'<div class="fr mui-navigate-right right-icon">'+show_cart+'</div>' +
			'</div>' +
			'<div class="single-shop-info goto-shop" shop-id="' + data[i].id + '">' +
			'<div class="fl">评分:' + data[i].score + '</div>' +
			'<div class="fl">月售:' + data[i].month_sale + '</div>' +
			'<div class="fr">总售：' + data[i].all_sale + '</div>' +
			'</div>' +
			'<div class="single-coupon goto-shop" shop-id="' + data[i].id + '">' +
			has_coupon +
			'</div>' +
			'<div class="single-row">' +
			goods +
			'</div>' +
			'</div>';
	}
	mui(div_class)[0].innerHTML = excellent_shop;
	mui(".single-pro").on("tap", ".goto-shop", function() {
		var shop_id = this.getAttribute("shop-id");
		if(type == 2) {
			mui.openWindow({
				url: 'shop.html',
				id: 'shop.html',
				extras: {
					type: type,
					shop_id: shop_id,
					main_id: main_id
				}
			});
		} else {
			mui.openWindow({
				url: 'shop.html',
				id: 'shop.html',
				extras: {
					type: type,
					shop_id: shop_id
				}
			})
		}

	});
	mui(".single-pro").on("tap", ".goto-single-goods", function() {
		var goods_id = this.getAttribute("goods-id");
		var shop_id = this.getAttribute("shop-id");
		if(type == 2) {
			mui.openWindow({
				url: 'goods_detail.html',
				id: 'goods_detail.html',
				extras: {
					type: type,
					goods_id: goods_id,
					main_id: main_id,
					shop_id: shop_id
				}
			});
		} else {
			mui.openWindow({
				url: 'goods_detail.html',
				id: 'goods_detail.html',
				extras: {
					type: type,
					goods_id: goods_id,
					shop_id: shop_id
				}
			});

		}
	});
}